Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Class JMSProviderLoader

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.jms.jndi.JMSProviderLoader

All Implemented Interfaces:
  JMSProviderLoaderMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class JMSProviderLoader
extends org.jboss.system.ServiceMBeanSupport
implements JMSProviderLoaderMBean

A JMX service to load a JMSProviderAdapter and register it.

Version:
  $Revision: 1.21 $
Author:
  Hiram Chirino, Jason Dillon

Field Summary
`protected String` | `factoryRef` The factory jndi name.
`protected String` | `jndiName` The JNDI name to bind the adapter to.
`protected Properties` | `properties` The properties
`protected JMSProviderAdapter` | `providerAdapter` The provider adapter which we are loading.
`protected String` | `providerAdapterClass` The provider adapter classname.
`protected String` | `providerName` The provider name.
`protected String` | `queueFactoryRef` The queue factory jndi name.
`protected String` | `topicFactoryRef` The topic factory jndi name.

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JMSProviderLoader()`

Method Summary
`String` | `getAdapterJNDIName()`
`String` | `getFactoryRef()`
`String` | `getName()`
`Properties` | `getProperties()`
`String` | `getProviderAdapterClass()`
`String` | `getProviderName()`
`String` | `getQueueFactoryRef()`
`String` | `getTopicFactoryRef()`
`void` | `setAdapterJNDIName(String name)`
`void` | `setFactoryRef(String newFactoryRef)`
`void` | `setProperties(Properties properties)`
`void` | `setProviderAdapterClass(String clazz)`
`void` | `setProviderName(String name)`
`void` | `setQueueFactoryRef(String newQueueFactoryRef)`
`void` | `setTopicFactoryRef(String newTopicFactoryRef)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### providerAdapter

    protected JMSProviderAdapter providerAdapter

  The provider adapter which we are loading.

### properties

    protected Properties properties

  The properties

### providerName

    protected String providerName

  The provider name.

### providerAdapterClass

    protected String providerAdapterClass

  The provider adapter classname.

### factoryRef

    protected String factoryRef

  The factory jndi name.

### queueFactoryRef

    protected String queueFactoryRef

  The queue factory jndi name.

### topicFactoryRef

    protected String topicFactoryRef

  The topic factory jndi name.

### jndiName

    protected String jndiName

  The JNDI name to bind the adapter to.

Constructor Detail

### JMSProviderLoader

    public JMSProviderLoader()

Method Detail

### setProviderName

    public void setProviderName(String name)

  Specified by:
    `setProviderName` in interface `JMSProviderLoaderMBean`

### getProviderName

    public String getProviderName()

  Specified by:
    `getProviderName` in interface `JMSProviderLoaderMBean`

### setProviderAdapterClass

    public void setProviderAdapterClass(String clazz)

  Specified by:
    `setProviderAdapterClass` in interface `JMSProviderLoaderMBean`

### getProviderAdapterClass

    public String getProviderAdapterClass()

  Specified by:
    `getProviderAdapterClass` in interface `JMSProviderLoaderMBean`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `JMSProviderLoaderMBean`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `JMSProviderLoaderMBean`

### setAdapterJNDIName

    public void setAdapterJNDIName(String name)

  Specified by:
    `setAdapterJNDIName` in interface `JMSProviderLoaderMBean`

### getAdapterJNDIName

    public String getAdapterJNDIName()

  Specified by:
    `getAdapterJNDIName` in interface `JMSProviderLoaderMBean`

### setFactoryRef

    public void setFactoryRef(String newFactoryRef)

  Specified by:
    `setFactoryRef` in interface `JMSProviderLoaderMBean`

### setQueueFactoryRef

    public void setQueueFactoryRef(String newQueueFactoryRef)

  Specified by:
    `setQueueFactoryRef` in interface `JMSProviderLoaderMBean`

### setTopicFactoryRef

    public void setTopicFactoryRef(String newTopicFactoryRef)

  Specified by:
    `setTopicFactoryRef` in interface `JMSProviderLoaderMBean`

### getFactoryRef

    public String getFactoryRef()

  Specified by:
    `getFactoryRef` in interface `JMSProviderLoaderMBean`

### getQueueFactoryRef

    public String getQueueFactoryRef()

  Specified by:
    `getQueueFactoryRef` in interface `JMSProviderLoaderMBean`

### getTopicFactoryRef

    public String getTopicFactoryRef()

  Specified by:
    `getTopicFactoryRef` in interface `JMSProviderLoaderMBean`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.